Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358471

Summary: Please upgrade to 2.7.12
Product: [Fedora] Fedora Reporter: Gwyn Ciesla <gwync>
Component: python-docsAssignee: Charalampos Stratakis <cstratak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: bkabrda, cstratak, dmalcolm, fedora, ivazqueznet, nphilipp, rkuska, torsava
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-docs-2.7.12-1.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-22 18:21:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1337343, 1340043    
Bug Blocks:    

Description Gwyn Ciesla 2016-07-20 18:53:48 UTC
Python 2.7.12 just hit f24, and this requires the same version to be present.

Comment 1 Gwyn Ciesla 2016-07-20 19:04:06 UTC
Working on this now that linkchecker is fixed.

Comment 2 Fedora Update System 2016-07-20 19:35:45 UTC
python-docs-2.7.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf10f29237

Comment 3 Christian Stadelmann 2016-07-21 07:46:39 UTC
How about loosening this depend(In reply to Jon Ciesla from comment #0)
> Python 2.7.12 just hit f24, and this requires the same version to be present.

How about loosening this dependency? Imho there is no reason to have python-docs 2.7.x require exactly python-2.7.x, but it would be ok with any other 2.7.y version.

Comment 4 Nils Philippsen 2016-07-21 09:12:00 UTC
(In reply to Christian Stadelmann from comment #3)
> How about loosening this depend(In reply to Jon Ciesla from comment #0)
> > Python 2.7.12 just hit f24, and this requires the same version to be present.
> 
> How about loosening this dependency? Imho there is no reason to have
> python-docs 2.7.x require exactly python-2.7.x, but it would be ok with any
> other 2.7.y version.

Seconded.

Comment 5 Gwyn Ciesla 2016-07-21 13:51:50 UTC
Maybe:

Requires: python-abi = 2.7

?

Comment 6 Fedora Update System 2016-07-21 18:53:57 UTC
python-docs-2.7.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf10f29237

Comment 7 Fedora Update System 2016-07-22 18:21:53 UTC
python-docs-2.7.12-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.